# SoMFShort Class Reference
[Field classes]

`#include <Inventor/fields/SoMFShort.h>`

Inheritance diagram for SoMFShort:

List of all members.

## Detailed Description

The SoMFShort class is a container for short integer values.

This field is used where nodes, engines or other field containers needs to store a group of multiple short integer values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFShort

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFShort::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

The documentation for this class was generated from the following files:

- SoMFShort.h
- SoMFShort.cpp